@charset "utf-8";
/* トランスコスモス株式会社 エンジニア新卒採用LP 職種紹介TOP Style CSS */

body {
  background-color: var(--color-mono100);
}

/* MV Style ==================================== */
/*#ttl-area {
  background-image: url(/saiyou/fresh/engineer/jobtype/images/bg-ttl.jpg);
}*/
#main-area .area__inner:has(+.line-lead) {
  padding-bottom: 100px;
}
@media screen and (max-width: 750px) {
  #ttl-area {
    margin-bottom: 50px;
  }
}
/* 職種紹介一覧 Style =========================== */
.jobtype-card {
  min-height: 263px;
  margin-bottom: 32px;
}
.jobtype-card a {
  display: flex;
  color: var(--color-mono100);
  text-decoration: none;
  transition: opacity 0.4s;
}
.jobtype-card .jobtype-img {
  width: min(468px, 32.5vw);
  max-height: 100%;
  flex-shrink: 0;
  overflow: hidden;
}
.jobtype-card .jobtype-img img {
  max-height: 100%;
  min-height: 100%;
  object-fit: cover;
  transform: scale(1);
  transition: transform 0.4s;
}
.jobtype-card .jobtype-txt {
  padding: 40px;
  background-color: var(--color-white);
}
#main-area .jobtype-card h3 {
  margin-bottom: 16px;
  font-size: 2.8rem;
  font-weight: 500;
  line-height: 140%;
  letter-spacing: 0;
  text-align: center;
}
#arc-eng.jobtype-card h3 {
  background-color: var(--color-arc-eng);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
#cv-eng.jobtype-card h3 {
  color: var(--color-cv-eng);
}
#mec-eng.jobtype-card h3 {
  color: var(--color-mec-eng);
}
#emb-eng.jobtype-card h3 {
  color: var(--color-emb-eng);
}
.jobtype-card .lnk {
  justify-content: center;
  margin-top: 16px;
  font-weight: 600;
}
.jobtype-card .arrow {
  width: 46.98px;
    height: 8.66px;
  transform: translateX(0);
  transition: transform 0.4s;
}
.jobtype-card .lnk::after {
  display: none;
}
#arc-eng.jobtype-card .lnk {
  color: var(--color-arc-eng);
}
#arc-eng.jobtype-card .arrow {
  fill: var(--color-arc-eng);
}
#cv-eng.jobtype-card .lnk {
  color: var(--color-cv-eng);
}
#cv-eng.jobtype-card .arrow {
  fill: var(--color-cv-eng);
}
#mec-eng.jobtype-card .lnk {
  color: var(--color-mec-eng);
}
#mec-eng.jobtype-card .arrow {
  fill: var(--color-mec-eng);
}
#emb-eng.jobtype-card .lnk {
  color: var(--color-emb-eng);
}
#emb-eng.jobtype-card .arrow {
  fill: var(--color-emb-eng);
}
@media screen and (min-width:1025px) {
  .jobtype-card a:hover {
    opacity: 0.7;
  }
  .jobtype-card :hover .jobtype-img img {
    transform: scale(1.05);
  }
  .jobtype-card a:hover .arrow {
    transform: translateX(20%);
  }
}
@media screen and (max-width:750px) {
  .jobtype-card a {
    flex-direction: column;
  }
  .jobtype-card .jobtype-img {
    width: 100%;
  }
  .jobtype-card .jobtype-img img {
    width: 100%;
    height: 200px;
  }
  #main-area .jobtype-card h3 {
    margin-bottom: clamp(10px,2.13vw,16px);
    font-size: clamp(2.2rem,3.73vw,2.8rem);
  }
  .jobtype-card .jobtype-txt {
    padding: clamp(30px,5.33vw,40px) clamp(20px,5.33vw,40px);
  }
}
